Index: LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 524)
+++ LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 644)
@@ -5,15 +5,9 @@
       IF (ok_regdyn) THEN
 c
-         PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
-c        PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_regdyn
-cIM cf. LF
+cIM      PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
+c
          idayref = day_ref
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-
-cccIM    CALL ymds2ju(anne_ini, 1, 1, 0.0, zjulian)
-c        CALL ymds2ju(annee_ref, 1, 1, 0.0, zjulian)
-c        zjulian = zjulian + day_ini
 c
-
 c axe vertical pour les differents niveaux des histogrammes
       DO iw=1, iwmax
@@ -28,16 +22,23 @@
      .                 "mb/day",
      .                 iwmax, zx_o500, komega)
-
+c
 c   pour les champs instantannes, il faut mettre la meme valeur pour
-c   zout et tsto.
+c   zout et zsto.
 c   dtime est passe par ailleurs a histbeg
-
+c
 c        zout = dtime * REAL(NINT(86400./dtime*ecrit_regdyn))
 c        zsto = zout
 c        print*,'zout,zsto=',zout,zsto
+c
+c stockage a chaque pas de temps de la physique
+c
+         zstophy = dtime
+cIM 020904      zstophy = dtime * nbapp_isccp
+
 c ecriture mensuelle
 c
-         zsto = dtime
          zout = dtime * ecrit_mth
+cIM 020904      
+c        zout = dtime * ecrit_day
 c        zout = dtime * REAL(NINT(86400./dtime*ecrit_regdyn))
 
@@ -48,71 +49,73 @@
          CALL histdef(nid_regdyn, "hw1", "Tropics Histogram ", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh1", "Nb of pixels Tropics Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht1","Total Nb pixels Tropics Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht1",
+     &                "Total Nb pixels Tropics Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c
 c PAN
          CALL histdef(nid_regdyn, "hw2", "North Pacific Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh2", "Nb of pixels North Pacific",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht2","Total Nb pixels North Pacific 
-     &                Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht2",
+     &                "Total Nb pixels North Pacific Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c CAL
          CALL histdef(nid_regdyn, "hw3", "California Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
-         CALL histdef(nid_regdyn, "nh3", "Nb of pixels California 
-     &                Histo",
+         CALL histdef(nid_regdyn, "nh3", 
+     &                "Nb of pixels California Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht3","Total Nb pixels California 
-     &                Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht3",
+     &                "Total Nb pixels California Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c HAW
          CALL histdef(nid_regdyn, "hw4", "Hawai Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh4", "Nb of pixels Hawai Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht4","Total Nb pixels Hawai Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht4",
+     &                "Total Nb pixels Hawai Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c WAP
          CALL histdef(nid_regdyn, "hw5", "Warm Pool Histogram", "%",
      &                kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32, 
-     &                "ave(X)", zsto,zout)
+     &                "ave(X)", zstophy,zout)
 
          CALL histdef(nid_regdyn, "nh5", "Nb of pixels Warm Pool Histo",
      &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+     &                32,"ave(X)", zstophy,zout)
 c
 
-         CALL histdef(nid_regdyn, "nht5","Total Nb pixels Warm Pool 
-     &                Histo"
-     &                ,"%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-     &                32,"ave(X)", zsto,zout)
+         CALL histdef(nid_regdyn, "nht5",
+     &                "Total Nb pixels Warm Pool Histo",
+     &                "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
+     &                32,"ave(X)", zstophy,zout)
 c
          CALL histend(nid_regdyn)
